This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 212700 - (CVE-2006-5601) CVE-2006-5601: xsupplicant < 1.2.8 (?) stack smashing vulnerability
CVE-2006-5601: xsupplicant < 1.2.8 (?) stack smashing vulnerability
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xsupplicant (Show other bugs)
6
All Linux
high Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 02:47 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 11:03:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-10-28 02:47:18 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-5601
http://open1x.sourceforge.net/

"7 Oct 2006 -- Xsupplicant 1.2.8 is now available for download. This release 
has several bug fixes in it, including a fix to a stack smash that could 
potentially lead to a remote root exploit."

Seems to affect all FE versions.
Comment 1 Ville Skyttä 2006-11-12 04:36:27 EST
ping?
Comment 2 Jan ONDREJ 2006-11-21 04:25:38 EST
It is not possible to connect with xsupplicant 1.2.7, but works fine with
version 1.2.8. Please can somebody rebuild this package? Thank you.

You can found a new (working) rpm package at:
  http://ftp.upjs.sk/pub/users/SAL/Fedora/SRPMS/6/xsupplicant-1.2.8-0.src.rpm

Release version is changed by me to automatically update after fedora extras
release.
Comment 3 Tom "spot" Callaway 2006-11-21 11:03:20 EST
FE4, FE5, FE6 all bumped to 1.2.8. Thanks for the new SRPM Jan. :)

Note You need to log in before you can comment on or make changes to this bug.